const https = require('https')
var fs = require('fs')
var os = require('os')
let arguments = process.argv.splice(2)
console.log(arguments)

if (!arguments.length) {
	// return false
}

const iconfontUrl = 'https://at.alicdn.com/t/c/font_1297163_1wx0cdnutzy.json'
const getIconfontJSON = () => {
	return new Promise((resolve, reject) => {
		https
			.get(iconfontUrl, res => {
				let list = []
				res.on('data', chunk => {
					list.push(chunk)
				})
				res.on('end', () => {
					const data = JSON.parse(Buffer.concat(list).toString())
					resolve(data)
				})
			})
			.on('error', err => {
				console.log('Error: ', err.message)
				reject(err)
			})
	})
}

const startFormatIconfont = async () => {
	let data = await getIconfontJSON()

	var strOutputFileName = `icons.js`
	var fWrite = fs.createWriteStream(strOutputFileName)
	fWrite.write(`export const version = { \n`)
	for (const key in data) {
		if (key !== 'glyphs') {
			fWrite.write(`  '${key}': '${data[key]}', \n`)
		}
	}
	fWrite.write(`} \n`)
	fWrite.write(`export default { \n`)
	data.glyphs.forEach(el => {
		fWrite.write(`  '${data.css_prefix_text}${el.font_class}': '${'\\u' + el.unicode}', \n`)
	})
	fWrite.write(`} \n`)
}

startFormatIconfont()
